49.0
---------
* Restore minimal desktop file to show app icon [Alessandro, !291]
* Add spoken levels to the password quality [Sergio, !292]

Contributors:
- Alessandro Astone
- Sergio Costas Rodriguez

Translation Updates:
- Aefgh Threenine [th]
- Anders Jonsson [sv]
- Antonio Marin [ro]
- Artur S0 [ru]
- Asier Saratsua Garmendia [eu]
- Ask Hjorth Larsen [da]
- Aurimas Aurimas Černius [lt]
- Balázs Úr [hu]
- Bruce Cowan [en_GB]
- Christian Kirbach [de]
- Danial Behzadi [fa]
- Daniel Mustieles [es]
- Daniel Rusek [cs]
- Dušan Kazik [sk]
- Ega Natha [id]
- Ekaterine Papava [ka]
- Emilio Sepúlveda [ia]
- Emin Tufan Çetin [tr]
- Fran Diéguez [gl]
- Francisco Diéguez Souto [gl]
- Hugo Carvalho [pt]
- Jiri Grönroos [fi]
- Jordi Mas i Hernandez [ca]
- luming zh [zh_CN]
- Luming Zh [zh_CN]
- Makoto Sakaguchi [ja]
- Martin [sl]
- Matthias Clasen
- Nathan Follens [nl]
- Nilton Perim Neto [pt_BR]
- Piotr Drąg [pl]
- Quentin PAGÈS [oc]
- Sabri Ünal [tr]
- Seong-ho Cho [ko]
- Sergio Costas Rodriguez
- Yaron Shahrabani [he]
- Yuri Chornoivan [uk]
- Álvaro Burns [pt_BR]

49.beta.1
---------

* This release will only work with gnome-session 49, due
  to changes in session orchestration and increased reliance
  on systemd

* Many accessibility issues have been fixed

* Drop gnome-keyring support. This is no longer used

* Changes:
  - !277 Adapt to systemd-only gnome-session and GDM dynamic users
  - !278 a11y: Notify bad username
  - !280 a11y: Make local user page accessible
  - !281 a11y: Add accessibility to the password page
  - !282 a11y: Add accessibility to the language selection page
  - !283 a11y: Add accessibility support to the keyboard page
  - !284 a11y: some extra accessibility to the Summary page
  - !285 a11y: Add accessibility to parental controls page
  - !286 a11y: read description in location services
  - !287 a11y: add accessibility to the Timezone page
  - !289 Remove integration with keyring

* Translation updates:
  - Arabic (Ahmed Najmawi)
  - Serbian (Милош Поповић)


49.alpha
-----

* data: Drop dependency on Wacom g-s-d plugin [Jordan; !279]

Contributors:
  Jordan Petridis

Translators:
  Cheng-Chia Tseng [zh_TW], Iverson Briones [fil], Makoto Sakaguchi [ja]

48.1
----

New translation:

- Uzbek (Baxrom Raxmatov)

48.0
----

Translation updates:

- Basque (Asier Sarasua Garmendia)
- Bokmål, Norwegian (Brage Fuglseth)
- Danish (Ask Hjorth Larsen)
- Galician (Fran Dieguez)
- Hungarian (Balázs Úr)
- Korean (Seong-ho Cho)
- Panjabi (A S Alam)
- Spanish (Daniel Mustieles)

48.rc
-----

Translation updates:

- Chinese (Taiwan) (Cheng-Chia Tseng)
- Greek, Modern (1453-) (Giannis Antypas)

48.beta
-------

On the network page, the Tab key now navigates between the network list and
other widgets, rather than between each network in the list in turn. (Lukáš
Tyrychtr)

As a result of the change above, Gtk ≥ 4.17 is now required.

Translation updates:

- Dutch (Nathan Follens)
- French (Guillaume Bernard)
- Interlingua (Emilio Sepúlveda)
- Lithuanian (Aurimas Černius)
- Romanian (Daniel Șerbănescu)
- Serbian (Марко Костић)
- Thai (Aefgh Threenine)
- Turkish (Sabri Ünal)

47.1
----

The (hidden) password hint field is now labelled as such, rather than as a
“password reminder”.

Translation updates:

- Belarusian (Vasil Pupkin)
- Bulgarian (Alexander Shopov)
- Chinese (China) (Luming Zh)
- Czech (Daniel Rusek)
- Finnish (Jiri Grönroos)
- Georgian (Ekaterine Papava)
- German (Jürgen Benvenuti)
- Latvian (Rūdolfs Mazurs)
- Occitan (post 1500) (Quentin PAGÈS)
- Persian (Danial Behzadi)
- Polish (Piotr Drąg)
- Portuguese (Hugo Carvalho)
- Portuguese (Brazil) (Juliano de Souza Camargo)
- Russian (Artur S0)
- Slovenian (Martin)
- Swedish (Anders Jonsson)
- Ukrainian (Yuri Chornoivan)

47.0
----

Translation updates:

- Danish (Ask Hjorth Larsen)
- English (United Kingdom) (Andi Chandler)
- French (Irénée THIRION)
- Galician (Fran Dieguez)
- Greek, Modern (1453-) (Efstathios Iosifidis)
- Indonesian (Andika Triwidada)
- Latvian (Rūdolfs Mazurs)
- Lithuanian (Aurimas Černius)
- Occitan (post 1500) (Quentin PAGÈS)
- Polish (Piotr Drąg)
- Spanish (Daniel)
- Swedish (Anders Jonsson)
- Turkish (Sabri Ünal)

47.rc
-----

Translation updates:

- Basque (Asier Sarasua Garmendia)
- Belarusian (Vasil Pupkin)
- Bokmål, Norwegian (Brage Fuglseth)
- Bulgarian (Alexander Shopov)
- Catalan (Jordi Mas i Hernandez)
- Chinese (China) (Luming Zh)
- Czech (Daniel Rusek)
- Finnish (Jiri Grönroos)
- Georgian (Ekaterine Papava)
- German (Jürgen Benvenuti)
- Hebrew (Yosef Or Boczko)
- Kazakh (Baurzhan Muftakhidinov)
- Korean (Seong-ho Cho)
- Persian (Danial Behzadi)
- Portuguese (Hugo Carvalho)
- Portuguese (Brazil) (Juliano de Souza Camargo)
- Romanian (Daniel Șerbănescu)
- Russian (Artur S0)
- Slovak (Jose Riha)
- Turkish (Sabri Ünal)
- Ukrainian (Yuri Chornoivan)

47.beta
-------

* The third-party repositories page, which is currently only displayed on
  Fedora, now links to a webpage documenting what software is provided by
  these external repositories.

* On the privacy page, references to Mozilla Location Service have been removed,
  since this service was shut down earlier this year.

* If an error occurs when applying the user's settings (which in practice means
  while creating user accounts), it is now displayed in a dialog rather than
  only in the journal.

* The password page has been lightly refreshed, fixing a bug where the empty
  input shows the red error style as soon as the page is displayed.

* There is now a field to set an optional password hint, which has been
  supported by accountsservice for many years. However, since the login screen
  does not currently know how to display the hint when the user needs it, this
  field is currently hidden.

Translation updates:

- Hindi (Scrambled 777)
- Hungarian (Balázs Úr)
- Romanian (Daniel Șerbănescu)
- Slovenian (Martin)

47.alpha
--------

* gnome-initial-setup-copy-worker, which runs when the newly-created user signs
  in to copy files from the temporary gnome-initial-setup home directory to the
  user's real home directory, has been rewritten to not use GFile & GVFS. There
  have previously been issues with GVFS, due to this program running very early
  in the session startup, & there is no need to unleash the formidable power of
  GFile to copy a few files.

* The summary page now uses an embedded themed icon for the checkmark, which
  ensures that the icon is loaded at the proper scaling level on hidpi displays.

* If you customize the generated username for the new account, changing the
  account name no longer clobbers the customized username.

* The keyboard page no longer crashes if it is destroyed and recreated while
  still waiting for the set of IBus engines.

Translation updates:

- Hindi (Guntupalli Karunakar)
- Portuguese (Hugo Carvalho)
- Thai (Aefgh Threenine)

46.1
----

Bugs fixed:

- gnome-initial-setup-copy-worker, which runs after Initial Setup has created
  the first user on the system, is now ordered before GNOME Keyring, assuming
  both Initial Setup and GNOME Keyring have been configured with systemd
  support. This avoids a race between gnome-initial-setup-copy-worker copying
  the login keyring that was created during Initial Setup, and GNOME Keyring
  creating a login keyring if none exists on disk.

- Keyboard navigation now works better on the Wi-Fi page.

Other improvements:

- The CONTRIBUTING file has been updated with more development tips.

Translation updates:

- Catalan (Jordi Mas i Hernandez)
- Friulian (Fabio Tomat)
- Greek (Efstathios Iosifidis)
- Kabyle (Rachida SACI)
- Occitan (Quentin PAGÈS)
- Panjabi (A S Alam)
- Portuguese (Brazil) (Juliano de Souza Camargo)
- Serbian (Милош Поповић)

46.0
----

Translation updates:

 - Bokmål, Norwegian (Brage Fuglseth)
 - Danish (Ask Hjorth Larsen)
 - Italian (Milo Casagrande)
 - Kabyle (Athmane MOKRAOUI)

46.rc
-----

Bugs fixed:

- The text direction is now correctly updated when switching between
  left-to-right and right-to-left locales. (Khalid Abu Shawarib)

Updated dependencies:

- Geoclue 2.6.0 is now required. This 2-year-old release is widely available in
  distros so this isn't expected to cause issues.

- GTK 4.10 is now explicitly required. 46.beta introduced a dependency on API
  that is not available in earlier GTK releases; this dependency is now detected
  earlier in the build.

Translation updates:

- Basque (Asier Sarasua Garmendia)
- Belarusian (Vasil Pupkin)
- Bulgarian (Alexander Shopov)
- Chinese (China) (Luming Zh)
- Dutch (Nathan Follens)
- English (United Kingdom) (Andi Chandler)
- Finnish (Jiri Grönroos)
- French (Irénée THIRION)
- Galician (Fran Dieguez)
- Georgian (Ekaterine Papava)
- German (Jürgen Benvenuti)
- Hebrew (Yaron Shahrabani)
- Hungarian (Balázs Úr)
- Indonesian (Kukuh Syafaat)
- Kazakh (Baurzhan Muftakhidinov)
- Korean (Seong-ho Cho)
- Latvian (Rūdolfs Mazurs)
- Lithuanian (Aurimas Černius)
- Persian (Danial Behzadi)
- Polish (Piotr Drąg)
- Russian (Artur S0)
- Slovenian (Matej Urbančič)
- Spanish (Daniel Mustieles)
- Swedish (Anders Jonsson)
- Turkish (Sabri Ünal)
- Ukrainian (Yuri Chornoivan)

46.beta
-------

* Avatars are now generated using HdyAvatar. (#111)

  - In addition, the buttons overlaid on the avatar widget now have tooltips.
    (!237)

* The Welcome page image is now more appropriately sized and not cropped. (#167)

* The Welcome page now uses PRETTY_NAME from os-release rather than combining
  the NAME + VERSION_ID fields. (!225)

* The summary page no longer expresses our collective hope that users love
  GNOME, reducing the overall exuberance of the page. (!232)

Bugs fixed:

* On distributions which show the minimise button in general, Initial Setup
  no longer shows it, making it harder to hide the Initial Setup window and
  not know how to get it back. (!237)

* Clicking the ABRT privacy policy link, if present, is now handled. This was
  a regression in 46.alpha.

* The “minimize” button is no longer shown in the header bar (on distributions
  which override the defaults to show it on most windows.

* While setting up an enterprise user account, the window would previously
  freeze, potentially triggering the force-quit dialog. This is now fixed.
  (!216, #79)

* On distributions which reënable the existing-user mode, the window can now
  be closed with Alt+F4 once again. (!224)

Translation updates:

  - Czech (Daniel Rusek)
  - Galician (Fran Dieguez)
  - Georgian (Ekaterine Papava)
  - Russian (Artur S0)
  - Turkish (Sabri Ünal, Emin Tufan Çetin)

46.alpha
--------

* GNOME Online Accounts integration has been removed. See
  https://gitlab.gnome.org/GNOME/gnome-initial-setup/-/issues/202 for further
  information.

* The WebKitGTK dependency is now optional.

  - If configured without WebKitGTK, the Privacy page will not show any links
    to privacy policies.

  - If configured with WebKitGTK, only the webkitgtk-6.0 API version is
    supported; support for the webkit2gtk-5.0 API has been removed.

* Bugs fixed:

  - The Initial Setup window can no longer be closed with Alt+F4, leaving the
    user with no way to recover (#200)

  - The avatar picker no longer logs a vast number of criticals, which were
    triggered by a GLib change. (!210)

* Translation updates:
  - Bulgarian
  - English (United Kingdom)
  - Esperanto
  - French
  - Friulian
  - Occitan (post 1500)
  - Romanian
  - Serbian
  - Turkish
  - Vietnamese

45.0
----

Post-release version bump

* Mark more strings as translatable

* Translation updates:
  - Basque
  - Belarusian
  - Brazilian Portuguese
  - Catalan
  - Chinese (China)
  - Czech
  - Danish
  - Dutch
  - Finnish
  - Galician
  - Georgian
  - German
  - Greek
  - Hebrew
  - Hungarian
  - Indonesian
  - Italian
  - Kazakh
  - Korean
  - Lithuanian
  - Occitan
  - Persian
  - Polish
  - Portuguese
  - Punjabi
  - Romanian
  - Russian
  - Slovenian
  - Spanish
  - Swedish
  - Turkish
  - Ukrainian

45.beta
-------

* Initial Setup now invokes tecla, rather than gkbd-keyboard-display, to
  show keyboard layout previews. This is a new runtime dependency.

* Initial Setup now installs dconf presets to disable some irrelevant Shell
  functionality and always display the Accessibility menu in the Initial Setup
  session. (Florian Müllner, !207)

* Bugs fixed:
 - #180 Label for a default non-xkb ibus input method remains a placeholder
 - #183 Replace applications with apps
 - #186 Third-party repos: don't set the status if the user doesn't activate
 - #187 [ARM64][Wayland] gnome-initial-setup crashing
 - #191 Replace gkbd-keyboard-display with Tecla
 - !189 keyboard: Don't leak IBus engine display name
 - !191 driver: Set a non-trivial window title
 - !201 Replace deprecated gtk_widget_show/hide with set_visible
 - !202 Replace deprecated gtk_style_context_add_class with gtk_widget_add_css_class
 - !203 ci: Update to new ci-templates snapshot
 - !204 Misc tweaks for ABRT setting on privacy page
 - !206 Improve the README

* Translation updates:
 - Belarusian
 - Chinese (China)
 - Dutch
 - English (United Kingdom)
 - Friulian
 - Georgian
 - Greek, Modern (1453-)
 - Hebrew
 - Hungarian
 - Icelandic
 - Italian
 - Latvian
 - Persian
 - Portuguese
 - Portuguese (Brazil)
 - Russian
 - Slovenian
 - Turkish
 - Ukrainian
 - Vietnamese

44.0
----

Bug fixes:

 - The privacy policy links on the Privacy page are now usable. This was a
   regression in the GTK 4 port, first released as 43.0. (#181)

Translation updates:
 - Bulgarian
 - Czech
 - Danish
 - French
 - Persian
 - Polish
 - Russian
 - Swedish

44.rc
-----

Enhancements:

 - The About You page now makes it clear that you can choose a different avatar.
   (#174)

Bug fixes:

 - Double-clicking on the headerbar no longer makes the window super small.
   (#136)
 - The keyboard layout list is no longer empty until you search or expand it.
   (#165)
 - Non-ASCII characters in location names are now displayed correctly on the
   timezone page. Previously, changing the language on the first page would
   cause them to be mangled. (#177)
 - StartupWMClass is now set in the .desktop file, allowing GNOME Shell to
   associate the app window with the desktop file. (!187)

Translation updates:

 - Basque
 - Belarusian
 - Catalan
 - Czech
 - Finnish
 - Friulian
 - Galician
 - Georgian
 - German
 - Greek, Modern (1453-)
 - Hebrew
 - Hindi
 - Hungarian
 - Indonesian
 - Korean
 - Lithuanian
 - Occitan (post 1500)
 - Portuguese
 - Serbian
 - Slovenian
 - Spanish
 - Turkish

44.beta
-------

* Correctly align the 'Preview' links on the keyboard page. (#150, Automeris
  naranja)

* Update for removal of WebKitGTK sandbox API in 2.39.5. (!177, Michael Catanzaro)

* Update password page to Adwaita style. (!178, Cassidy James Blaede)

44.alpha.2
----------

* Unlike 44.alpha.1, this version really can be built against the new
  webkitgtk-6.0 API from WebKitGTK 2.39.1, as well as webkit2gtk-5.0.
  (Michael Catanzaro)

* The close button on the "Failed to join domain" dialog now works. (#161)

* The quick settings menu is now correctly shown in the Initial Setup session.
  (!166)

* The search fields on the keyboard layout and timezone pages now have
  placeholder text, as recommended by the GNOME HIG. Thanks to sunflowerskater
  for their first contribution to this project! (#144)

* Translation updates:
 - Abkhazian
 - Belarusian
 - Hindi
 - Interlingue (new in this version)

44.alpha.1
----------

This is an early release to support building against the new webkitgtk-6.0 API
from WebKitGTK 2.39.1, or webkit2gtk-5.0 as before. (!164)

There are no other changes compared to the GNOME 43 branch.

43.1
----

* Several bugs in the enterprise login flow have been fixed (#154, !160, !161).

* Translation updates:
 - Abkhazian
 - Chinese (Taiwan)
 - Czech
 - Friulian
 - Kazakh
 - Nepali
 - Occitan (post 1500)
 - Spanish
 - Turkish

43.0
----

* Translation updates:
 - Bulgarian
 - Croatian
 - French
 - Hebrew
 - Lithuanian
 - Slovenian

43.rc.1
-------

* The authentication dialog in the enterprise login page regressed in the port
  to GTK 4; in this release, its buttons are accessible once again, and its
  appearance improved. (#152)

* Translation updates:
 - Galician
 - Georgian
 - German
 - Korean
 - Latvian
 - Portuguese (Brazil)
 - Serbian

43.rc
-----

* Initial Setup no longer crashes if you attempt to use capital letters or
  periods in your username on systems that reject such usernames. Instead,
  it always forbids capital letters and periods in usernames. (#117, !30,
  thanks to Xiang Fan)

* Several regressions in the timezone page were fixed, including selecting a
  timezone by typing the name of a city and picking a location from
  the dropdown (#145, !157, Georges Stavracas) and searching for locations not
  found in the gweather database (!158).

* Page-skipping works again (!156, Adam Williamson)

* Parental Controls support now correctly requires malcontent 0.11.0's new API
  name. Beware: if libostree or libflatpak are built against libsoup2.4, then
  linking Initial Setup to libmalcontent for parental controls support will
  cause it to abort on startup, since Initial Setup also links to webkit2gtk5
  which requires libsoup3.

43.beta
-------

* Initial Setup has been ported to GTK 4, libadwaita, and friends, thanks to
  Georges Stavracas. As a result:

  - libnma-gtk4 is now required, rather than libnma.

  - GTK 4 is required in addition to GTK 3. This is because goa-backend does
    not have a GTK 4 port. Like in gnome-control-center, the use of goa-backend
    is split out into a separate process.

  - webkit2gtk5 is now required. (However, goa-backend brings a transitive
    dependency on webkit2gtk4.)

  - Since webkit2gtk5 requires libsoup 3, the soup2=true configuration option
    has been removed. Initial Setup depends on geocode-glib-2.0, and versions
    of librest and gweather4 built against libsoup 3.

  - Support for taking a selfie as your account avatar has been removed, since
    libcheese-gtk lacks a GTK 4 port, and the optional libcheese[-gtk]
    dependency is no more.

  - Parental controls support requires malcontent 0.11 which is not released
    at the time of writing.

  There is a known regression from the port: selecting a timezone by typing the
  name of a city and picking a location from the dropdown does not work. To
  work around this, click a location on the map to select a timezone. This is
  tracked as https://gitlab.gnome.org/GNOME/gnome-initial-setup/-/issues/145
  and will be addressed in a future release.

* When systemd support is enabled, Initial Setup now installs a sysusers.d
  snippet for its user, thanks to David King.

* Translation updates:
 - Abkhazian
 - Chinese (China)
 - Galician
 - Georgian
 - Hebrew
 - Indonesian
 - Persian
 - Portuguese
 - Russian
 - Spanish
 - Swedish
 - Turkish
 - Ukrainian

43.alpha.1
----------

* When built with -Dsoup2=false (the default), Initial Setup now depends on
  geocode-glib-2.0, introduced in geocode-glib 3.26.3 as a parallel-installable,
  soup3-flavoured version of the library. When built with -Dsoup2=true, Initial
  Setup continues to depend on geocode-glib-1.0.

* Initial Setup's build system tries to detect when its dependencies are built
  against an incompatible libsoup, but there is one known case that is not
  detected at build time. If Initial Setup is built with parental controls
  enabled, the malcontent parental controls library brings with it a dependency
  on libflatpak and libostree. Neither of these libraries can currently be built
  against libsoup3. Either they must be built against  libcurl rather than
  libsoup; or Initial Setup must be built with -Dsoup2=true; or Initial Setup
  must be built with -Dparental_controls=disabled; or Initial Setup will abort
  on startup.

43.alpha
--------

* Initial Setup now builds against rest-1.0 if available, falling back to
  rest-0.7 if not. There is no meson option to control this.

* Initial Setup now builds against libsoup 3 by default. As a transitional
  measure, you can opt to build against libsoup 2 by passing -Dsoup2=true
  to meson setup. geocode-glib-1.0, gweather4, and rest (1.0 or 0.7) must
  have been built against the same version of libsoup.

* A number of Meson .wrap files for dependencies such as gweather4 have been
  removed. These dependencies are now widely available in stable distros and
  container images thereof.

* Initial Setup no longer reads gnome-version.xml to determine the GNOME
  version in the fallback case when no OS information is available from
  /etc/os-release. gnome-version.xml has been removed from GNOME 43.

* Translation updates:
 - French
 - Georgian

42.1.1
------

* Translation updates:
 - Friulian
 - Icelandic

42.1
----

* Translation updates:
 - Czech
 - Dutch
 - Greek, Modern (1453-)
 - Latvian
 - Vietnamese

42.0.1
------

* The dark theme preference support introduced in 42.rc caused a regression in
  Initial Setup's handling of the login keyring. The effect was that the new
  user's login keyring password does not match their system password, and so
  cannot be unlocked. This regression is fixed in this release. Thanks to Adam
  Williamson for diagnosing the problem & Matthias Clasen for suggesting the
  fix. (#141)

42.0
----

* Translation updates:
 - Bokmål, Norwegian
 - Danish
 - French
 - Hungarian
 - Italian
 - Japanese
 - Kazakh
 - Occitan (post 1500)
 - Panjabi
 - Polish
 - Serbian
 - Slovak

42.rc
-----

* Initial Setup now supports the GNOME 42 dark theme preference, and picks up a
  dependency on libhandy to enable this. This will only have a visible impact
  if a distribution overrides the default value of this preference, since there
  is no way for a user to adjust this preference until Initial Setup is
  complete. (Jeremy Bicha, !140)

* Translation updates:
 - Bulgarian
 - Catalan
 - Croatian
 - Finnish
 - German
 - Korean
 - Lithuanian
 - Persian
 - Swedish
 - Turkish

42.beta
-------

* Bugs fixed:
 - !137 welcome: tweak illustration
 - !138 timezone: Load GisLocationEntry type before page template

* Translation updates:
 - Basque
 - Chinese (China)
 - Galician
 - Hebrew
 - Indonesian
 - Slovenian
 - Spanish

42.alpha.1
----------

* Fix gweather4 pkg-config name.

* Fix project license identifier in Meson build rules.

* Translation updates:
 - Portuguese (Brazil)

42.alpha
----

* Initial Setup now depends on libgweather-4 and gnome-desktop-4, rather than
  their predecessors. Meson wrap files are provided in case these dependencies
  are not available.

* The third-party software sources page has been tweaked to more accurately
  describe what the switch does, and to replace the switch with a
  suggested-action toggle button. (This page is currently Fedora-specific;
  patches welcome!)

* The COPYING file has been clarified to contain only a copy of GPL version 2.
  Previously it also contained a copy of LGPL version 2 (not 2.1). There is no
  change to the actual licensing of GNOME Initial Setup: as before, it is
  distributed under the terms of the GNU General Public License, version 2 or
  later.

* The summary page widget tree has been simplified, with no visual change.

* Some Meson deprecation warnings have been addressed. Meson 0.53.0 or newer is
  now required to build Initial Setup.

* Translation updates:
 - Basque
 - Bulgarian
 - Chinese (China)
 - Croatian
 - Friulian
 - Hebrew
 - Icelandic
 - Indonesian
 - Japanese
 - Latvian
 - Occitan (post 1500)
 - Portuguese
 - Portuguese (Brazil)
 - Russian
 - Serbian
 - Slovak
 - Spanish
 - Swedish
 - Ukrainian
 - Vietnamese

41.0
----

* Bugs fixed:
 - !124 software: call fedora-third-party properly

* Translation updates:
 - Croatian
 - Danish
 - Hungarian
 - Polish
 - Turkish

41.rc
-----

* Bugs fixed:
 - !123 Fix the polkit rule for Fedora third party setup

* Translation updates:
 - Basque
 - Chinese (China)
 - Czech
 - Dutch
 - English (United Kingdom)
 - Finnish
 - French
 - Galician
 - German
 - Greek, Modern (1453-)
 - Hebrew
 - Indonesian
 - Kazakh
 - Korean
 - Lithuanian
 - Occitan (post 1500)
 - Persian
 - Portuguese (Brazil)
 - Romanian
 - Russian
 - Spanish
 - Swedish

41.beta
-------

* The Software page, which allows the user to enable or disable third-party
  repositories, has been resurrected. It is currently Fedora-specific. Patches
  welcome for other distro families. (!121)

* Bugs fixed:
 - #80 Cannot login as administrator if you set up enterprise login in gnome-initial-setup

* Translation updates:
 - Bulgarian
 - Catalan
 - Portuguese
 - Slovenian
 - Ukrainian

41.alpha
--------

* Several core classes have been updated to use modern GLib niceties.

* Bugs fixed:
 - !119 timezone: fix critical on startup when geoclue is disabled

* Translation updates:
 - Chinese (China)
 - Russian

40.3
----

* Translation updates:
 - Occitan

40.2
----

* Translation updates:
 - Occitan

40.1
----

* The welcome page, displayed on systems where the language page is skipped,
  features an illustration of a computer on a desk. This illustration has been
  adjusted to make the hardware more generic. (#122)

* Fix a small memory leak in language page. (!118)

Translation updates:
 - Catalan

40.0
----

* No changes since 40.rc.

40.rc
-----

* Translation updates:
 - Galician
 - Portuguese (Brazil)

40.beta
-------

* Completing GNOME Initial Setup no longer triggers GNOME Tour. GNOME Shell 40
  now prompts new and upgrading users to run the tour. (#120)

* Previous versions of Initial Setup would run the first time a user logs in
  ("existing user" mode) as well as when the system is booted with no users
  ("new user" mode). Initial Setup no longer displays any UI in "existing user"
  mode, to avoid colliding with the tour. The mode has not been removed in code
  – a simple check has been added to the main() function. If your distribution
  needs the old behaviour, this check can be patched out. The hope is that a
  future version of GNOME will restore "existing user" mode, but run Initial
  Setup from the same cut-down Shell that is used in "new user" mode. (#120)

* Initial Setup's .desktop file is now installed to @datadir@/applications
  (i.e. /usr/share/applications) rather than a GDM-specific directory. This
  means its icon is displayed correctly when run within a normal shell session.
  Some distros have previously worked around this issue by installing a
  symbolic link. (The astute reader may note that this is a no-op given the
  previous bullet point, but it is still a nice clean-up.) (#52)

* Translation updates:
 - Panjabi
 - Portuguese

40.alpha
--------

* Some enhancements to the avatar picker:
  - The "Take a photo…" button now has the suggested-action style. (!97)
  - Generated avatars now have a darker border. (!99)
  - Fix runtime warning when built without libcheese. (#114)

* The "Welcome" page, displayed when the language picker is disabled, has a
  refreshed splash image.

* Translation updates:
 - Bokmål, Norwegian
 - Catalan
 - Esperanto
 - Friulian
 - Portuguese
 - Romanian

3.38.1
------

* #110 / !104: Fix the window sometimes opens at an unusably small size, rather
  than being sized appropriately for the display. The fix causes a regression
  where the window doesn't react to the display size changing in all cases
  (#112) but the new behaviour is better than the old.

* Other bugs fixed:
 - !102 docs: Remove typo from DEBUGGING.md
 - !103 Misc use-after-free and critical warning fixes
 - !105 data: Leave to meson the duty of keeping the lists in sync

* Translation updates:
 - Chinese (Taiwan)
 - Danish
 - Hebrew
 - Italian
 - Latvian
 - Portuguese
 - Slovak

3.38.0
------

* Translation updates:
 - Greek
 - Hungarian
 - Portuguese

3.37.92
-------

* Bugs fixed:
 - !101 Exit gracefully if we are disabled systemwide by Anacontda

* Translation updates:
 - Basque
 - Czech
 - Dutch
 - English (United Kingdom)
 - Friulian
 - German
 - Korean
 - Lithuanian
 - Serbian
 - Slovak
 - Spanish
 - Swedish

3.37.91.1
---------

* Bugs fixed:
 - !92 gnome-initial-setup: Allow welcome tour to be skipped via vendor config
 - !95 network: Re-word the description for Wi-Fi
 - !100: Avoid a warning about connecting to a NULL object

* Translation updates:
 - Basque
 - Catalan
 - Chinese (China)
 - Croatian
 - Finnish
 - French
 - Galician
 - Indonesian
 - Japanese
 - Kazakh
 - Persian
 - Polish
 - Portuguese
 - Portuguese (Brazil)
 - Romanian
 - Slovenian
 - Spanish
 - Turkish
 - Ukrainian

3.37.91
-------

* Revamp the ‘welcome’ screen. See #7 for more details and screenshots.

* Bugs fixed:
 - #7 Nicer welcome page

3.37.90
-------

* Use `gnome-tour` instead of `yelp` to start the welcome tour. (MR !90.)

* Switch to a new user session management approach of defining the session
  services in `gnome-session@gnome-initial-setup.target.d/session.conf` in the
  systemd user unit directory. This bumps the optional systemd dependency
  to ≥ 242. See !66 for more details.

* Bugs fixed:
 - !66 Systemd unit update for 3.38
 - !90 welcome tour: replace yelp with gnome-tour

* Translation updates:
 - Chinese (China)
 - Friulian
 - Indonesian
 - Lithuanian
 - Portuguese (Brazil)
 - Swedish
 - Tajik
 - Turkish

3.37.3
------

* The avatars offered in the 'account' page can now be customized by setting
  the 'org.gnome.desktop.interface avatar-directories' GSetting, which also
  controls the avatars offered in Settings. (This introduces a dependency on
  gsettings-desktop-schemas ≥ 3.37.1.)

* Since version 3.30, it has been possible to customize certain aspects of
  Initial Setup by specifing the 'vendor-conf-file' option at build time, then
  installing a configuration file to that path. This version adds two paths
  that will be checked by default: one for distribution configuration, and
  another to override that configuration on specific deployments.

  If you specify the 'vendor-conf-file' at build time, the old behaviour is
  preserved and the new paths will not be searched. If possible, please migrate
  any existing configuration to the new path, and stop specifying the
  build-time option.

* Bugs fixed:
  - #106 timezone: Don't set timezone if tz page is skipped
 - #75 Polkit rules seem to list now unneeded privileges
 - #95 Add error argument to save_data() vfunc
 - #104 Japanese (Kana Kanji) no longer the default input method for Japanese in 3.36.2
 - #105 Reconsider installation location of vendor.conf
 - #106 gnome-initial-setup tries to set timezone even though timezone page is disabled
 - !60 account: Use facesdirs setting to override faces
 - !84 Fix pkgdata_dir location
 - !87 Enable web process sandbox
 - !88 Fix build with -Dvendor-conf-path

* Translation updates:
 - Chinese (China)
 - Kazakh
 - Persian
 - Romanian
 - Spanish
 - Ukrainian

3.37.1
------

* Bugs fixed:
 - !82 keyboard: Nullify pointers if getting layout fails

* Translation updates:
 - Hebrew
 - Kurdish, Central
 - Slovak

3.36.1
------

* Previous releases of gnome-initial-setup had an unversioned dependency on
  libsecret; this release requires libsecret ≥ 0.18.8.  (libsecret 0.18.8 was
  released as part of GNOME 3.32; GNOME 3.36 includes libsecret 0.20.1.)

* Bugs fixed:
 - !78 account: Make parent account usable in case of errors
 - !79 Improve readability when removing event sources
 - !80 Fix two crashes when saving parental controls settings
 - !81 Use g_auto and g_autoptr more

* Translation updates:
 - Bokmål, Norwegian
 - Dutch
 - German
 - Japanese
 - Romanian
 - Ukrainian

3.36.0
------

* Translation updates:
 - Croatian
 - Italian
 - Panjabi
 - Slovenian
 - Swedish

3.35.92
-------

* Two tweaks to the parental controls functionality introduced in the last
  release:
 - #94 Add metadata to identify parent account
 - !77 password: Use malcontent symbolic icon for parent password

* Translation updates:
 - Catalan
 - Chinese (Taiwan)
 - Czech
 - Danish
 - English (United Kingdom)
 - Finnish
 - French
 - Greek
 - Hungarian
 - Indonesian
 - Karbi
 - Korean
 - Lithuanian
 - Persian
 - Polish
 - Portuguese (Brazil)
 - Spanish

3.35.91
-------

* New pages have been added to set up parental controls for the new user
  account. They are shown (or not, by default) based on a checkbox on the
  (local) user creation page. This feature requires malcontent ≥ 0.5.0
  <https://gitlab.freedesktop.org/pwithnall/malcontent/> and complements
  parental controls support already present in Flatpak and GNOME Software. If
  disabled or if that dependency is not available, no new UI is introduced
  compared to 3.35.90.

* When running under JHBuild, gnome-keyring is left untouched, and state is not
  saved when setup is complete. This heuristic is intended to make testing the
  application during development easier.

* GLib ≥ 2.63.1 is now required.

* Fixed various memory leaks, warnings, and a memory safety bug.

* Translation updates:
 - Basque
 - Croatian
 - Czech
 - French
 - Galician
 - Hungarian
 - Indonesian
 - Japanese
 - Lithuanian
 - Persian
 - Serbian
 - Turkish

3.35.90
-------

* The final page has been revamped, with minor typography tweaks to other pages
  (#8).

* The timezone map was updated.

* Three pages have been removed since they were unused in all known
  configurations:

  - the region page, which has not displayed even if enabled for many years
    (#90)
  - the software page, which has not displayed for several releases due to
    changes in GNOME Software (#59)
  - the eulas page (!71, #72)

* The providers shown on the goa page can now be customized in the vendor conf
  file (!63)

* Bugs fixed:
 - #61 CheeseCameraDeviceMonitor may hang account page during initialization
 - #82 Support Wi-Fi devices appearing and disappearing dynamically
 - !53 Change generated avatar for empty name

* Translation updates:
 - Finnish
 - Kurdish, Central
 - Malay
 - Portuguese (Brazil)
 - Slovak
 - Spanish
 - Swedish

3.35.3

* Bugs fixed:
 - #85 GNOME intial setup segfaults, possibly due to locale related problems
 - !59 Disable g-i-s service in GDM
 - !61 assistant: mark "Accept" button as suggested action
 - !64 Language: Make language list use full height when search is active

* Translation updates:
 - Catalan
 - Galician
 - Japanese

3.34.0

* Bugs fixed:
 - !58 fixes for systemd user instance support

* Translation updates:
 - Danish
 - Japanese

3.33.92

* Translation updates:
 - English (United Kingdom)
 - Japanese
 - Panjabi
 - Persian

3.33.91

* !54 build: Add a log domain

* Translation updates:
 - Japanese

3.33.90

* !38 systemd user instance support. This is inert without corresponding
  changes in other GNOME modules, and can be disabled entirely with
  `-Dsystemd=false` at build time.

* Other improvements and bug fixes:
 - !37 summary: don't free borrowed password string
 - !41 data: use a11y menu in initial-setup session
 - !42 driver: Account for multi monitor when checking for small screen
 - !44 language: Refactor the logo selection
 - !45 language: Fix the visibility of the placeholder
 - !46 summary: Make the page fit narrow screens
 - !49 Drop the headers for the first rows
 - !50 account: Drop the avatar button padding
 - !51 Refactor page headers
 - !52 data: Update required gnome-settings-daemon plugins

* Translation updates:
 - Basque
 - Karbi

3.33.4

* Bugs fixed:
 - !39 Check for errors from newlocale()

* Translation updates
 - Indonesian

3.33.2

* Bugs fixed:
 - #53 setlocale() usage is not threadsafe
 - !33 Include bug report URL in .pot file

* Translation updates:
 - Chinese (China)
 - Esperanto

3.32.1

* Translation updates:
 - Croatian
 - Esperanto
 - Slovak

3.32.0

* Translation updates:
 - Korean

3.31.92

* Connect to GDM as soon as gnome-initial-setup starts and fix memory leaks
   (!22)

* Improve account page behaviour when offline (!23)

* Translation updates:
 - Catalan
 - Chinese (Taiwan)
 - Czech
 - Danish
 - Dutch
 - Finnish
 - French
 - Friulian
 - Galician
 - German
 - Greek
 - Hungarian
 - Icelandic
 - Indonesian
 - Italian
 - Kazakh
 - Latvian
 - Lithuanian
 - Polish
 - Portuguese (Brazil)
 - Romanian
 - Russian
 - Serbian
 - Slovenian
 - Spanish
 - Swedish
 - Turkish

3.31.90

 * Generate default user account pictures
 * Fix Meson build with (buggy) Meson 0.48.0 and 0.48.1
 * Remove Autotools build
 * Fix various compiler warnings
 * Add welcome distro logo for openSUSE
 * Translation updates:
   - Afrikaans
   - Arabic
   - Aragonese
   - Assamese
   - Basque
   - Belarusian
   - Bengali (India)
   - Bokmål, Norwegian
   - Bosnian
   - Bulgarian
   - Catalan
   - Chinese (China)
   - Chinese (Hong Kong)
   - Czech
   - English (United Kingdom)
   - Esperanto
   - Estonian
   - Gaelic
   - German
   - Gujarati
   - Hebrew
   - Hindi
   - Hungarian
   - Indonesian
   - Interlingua (International Auxiliary Language Association)
   - Irish
   - Japanese
   - Kannada
   - Malayalam
   - Marathi
   - Nepali
   - Occitan (post 1500)
   - Oriya
   - Persian
   - Portuguese
   - Serbian
   - Slovak
   - Tajik
   - Tamil
   - Telugu
   - Thai
   - Uighur
   - Vietnamese

3.30.0

 * Translation updates

3.29.92

 * Translation updates
 * Improved network page
 * Fix timezone selection in new-user mode
 * Properly use libsecret unstable api

3.29.1


 * Translation updates
 * Support more general page skipping
 * Show the welcome page if the language page is skipped
 * Look for vendor.conf in /usr/share instead of /var
 * Go back to allowing weak passwords
 * Set keyring password for enterprise accounts
 * Use Debian, Ubuntu logos when appropriate
 * Fix a crash
 * Add meson support
 * Uses a new avatar chooser

3.28.0

 * Translation updates
 * Sync string changes with gnome-software

3.27.90

 * Adjust session components to recent changes
 * Improve sorting in the language list
 * Memory leak fixes
 * Update titlebar when title changes
 * Translation updates

3.26.0

 * Translation updates

3.25.92

 * Translation updates

3.25.4

 * Use Unicode in translatable strings
 * Adjust to g-s-d's plugin removals
 * Translation updates

3.25.3

 * Support a vendor configuration file
 * Update text direction when the locale changes
 * Allow configuring network connections
 * Copy monitor configuration to user session
 * Sync user account page with control-center
 * Show strength indicator for passwords
 * Translation updates

3.24.0

 * Fix g-i-s session startup deadlock
 * Translation updates

3.23.92

 * Use correct capitalization and unicode characters
 * Exit gracefully when disabled systemwide
 * Adjust to gnome-settings-daemon changes
 * Port network page to use libnm instead of libnm-glib
 * Translation updates

3.23.1

 * Clarify presentation of privacy policies
 * Translation updates

3.22.0

 * Translation updates

3.21.92

 * Port timezone page to use new Geoclue convencience library
 * Minor UI fixes on privacy page
 * Correct license of um-realm-manager
 * Translation updates

3.21.91

 * Better handling of small screens
 * Add a page to configure software sources
 * Translation updates
  British English
  French
  Icelandic
  Indonesian
  Norwegian bokmål
  Occitan
  Polish
  Portuguese
  Slovenian
  Spanish

3.20.1

 * Translation updates
  Bulgarian
  Friulian
  Persian
  Vietnamese

3.20.0

 * Translation updates

3.19.92

 * Add a translator comment for 'Welcome!'
 * Translation updates
  Finnish
  Friulian
  Hebrew
  Hungarian
  Korean
  Latvian
  Lithuanian
  Occitan
  Russian
  Slovenian
  Ukrainian


3.19.91

 * Visual refinements on online accounts page
 * Minor tweaks on the privacy and accounts pages
 * Ensure keyring gets created for new users
 * Translation updates
  Catalan
  Chinese (Taiwan)
  Czech
  Galician
  German
  Greek
  Kazakh
  Polish
  Punjabi
  Serbian
  Slovak
  Spanish
  Swedish
  Vietnamese

3.19.90

 * Visual refresh for the 'ready to go' page

3.19.2

 * Fix timezone lookup after locale change
 * Handle screen resolution changes
 * Design updates to the timezone page
 * Don't create a keyring for existing users
 * Translation updates
  Bulgarian
  Chinese (Taiwan)
  German
  Hungarian
  Latvian
  Lithuanian
  Polish
  Slovak
  Vietnamese

3.19.1

 * Ensure locale region matches the selected language
 * Sort languages case-insensitively
 * Translation updates
  Basque
  Irish
  Serbian
  Serbian Latin
  Vietnamese

3.18.0

 * Translation updates
  Danish
  Dutch
  French
  Indonesian
  Italian
  Japanese
  Kazakh
  Korean
  Lithuanian
  Persian

3.17.91

 * Go back to enforcing password policy (#754213)
 * Translation updates
  Chinese (Taiwan)
  Galician
  Polish
  Swedish

3.17.90

 * Detect enterprise accounts without heuristic (#752980)
 * Don't change keyring password explicitly (#752980)
 * Fix problem with restarting geoclue client
 * Translation updates
  Norwegian bokmål
  Brazilian Portuguese

3.17.4

 * Create keyring initially unencrypted
 * Password page refinements (#735578)
 * Make policy dialog resize properly (#749426)
 * Use correct key for privacy policy (#749545)
 * Handle disabled network better
 * Avoid a crash on language change (#752134)
 * Make gnome-shell launch first
 * AVoid a race in launching welcome tour
 * Translation updates
  Catalan
  Czech
  Friulian
  German
  Greek
  Hebrew
  Hungarian
  Occitan
  Portuguese
  Romanian
  Russian
  Slovak
  Slovenian
  Spanish
  Tajik
  Turkish
  Vietnamese

3.16.2

 * Translation updates
  Icelandic
  Occitan
  Simplified Chinese


3.16.1

 * Translation updates
  Dutch
  Latvian
  Punjabi


3.16.0

 * Translation updates
  Basque
  Indonesian
  Italian
  Japanese


3.15.92

 * Stop using deprecated API
 * Improved keyboard navigation
 * Adapt to gnome-desktop locale codeset changes
 * Translation updates
  Aragonese
  Bosnian
  Bulgarian
  Catalan
  Danish
  Esperanto
  Finnish
  German
  Korean
  Swedish
  Tajik


3.15.91.1

 * Port to Webkit2
 * Translation updates
  Czech
  Polish
  Serbian
  Slovenian


3.15.91

 * Fix a possible crash in the network page
 * Translation updates
  Brazilian Portuguese
  Chinese (Taiwan)
  French
  Galician
  Greek
  Hebrew
  Hungarian
  Kazakh
  Norwegian bokmal
  Spanish
  Turkish
  Ukrainian


3.15.90.1

 * Append ibus input sources
 * Allow resizing on small screens
 * Improve account creation dialogs
 * Move privacy page before timezone
 * Use the permanent bus name for abrtd
 * Translation updates
  Lithuanian
  Russian
  Slovak
  Vietnamese


3.15.90

 * Add a privacy page
 * Don't wait for GDM to kill us
 * Translation updates
  Aragonese
  Portuguese
  Vietnamese


3.14.2.1

 * Disable SSLv3 because of POODLE

3.14.2

 * Fix changing the login keyring password
 * Ensure that we show the selected input source
 * Preserve system keyboard layouts
 * Don't choose irrelevant layouts as first level choices
 * Add a function to detect small screens
 * Hide images when we have no space for them
 * Drop the minimum size when we are on a small screen
 * Translation updates
  Dutch
  Friulian
  Kazakh
  Persian


3.14.1

 * Don't allow to move window
 * Avoid a crash in input chooser
 * Require selecting an input source
 * Translation updates
  Bengali
  Brazilian Portuguese
  Bulgarian
  Friulian
  Gujarati
  Italian
  Latvian


3.14.0

 * Fix skip button showing up on the last page
 * Translation updates
  Hindi
  Japanese
  Nepali


3.13.7

 * Refine spacing and alignment on all pages
 * keyboard: Show suggestions for the current locale
 * keyboard: Add all IBus engines
 * keyboard: Ellipsize long labels
 * Translation updates
  Bengali
  Catalan
  Catalan (Valencian)
  Danish
  Kannada
  Marathi
  Turkish


3.13.6

 * language: Drop British English to make page smaller
 * region: Drop, instead show all locales in the language page
 * keyboard: Show all layouts (in the expanded list)
 * account: Whitelist realmd actions to enable enterprise setup
 * timezone: Remove icon to make page smaller
 * Improve keyboard navigation
 * Bring back existing-user mode
 * Translation updates
  Indonesian
  Korean
  Oriya
  Punjabi
  Serbian
  Slovak
  Swedish
  Tamil
  Telugu

3.13.5

 * language: Don't dim distro logo
 * timezone: Make page smaller
 * input: Fix build without ibus
 * password: Don't hard-enforce strong passwords

 * Translation updates
  Assamese
  Basque
  Chinese (simplified)
  Czech
  Finnish
  French
  Galician
  German
  Gujarati
  Ukrainian


3.13.4

 * account: Improve wording
 * account: Update to match control-center
 * timezone: Add geoclue integration
 * timezone: Add an icon
 * password: Update to match control-center
 * password: Properly clean up signal handler
 * keyring: Open session
 * copy-worker: Run in early initialization phase

 * Translation updates
   Basque
   Belarusian
   Brazilian Portuguese
   Catalan
   Catalan (Valencian)
   Chinese (Taiwan)
   Czech
   Danish
   Dutch
   French
   German
   Greek
   Hebrew
   Hungarian
   Indonesian
   Italian
   Japanese
   Lithuanian
   Norwegian bokmål
   Polish
   Punjabi
   Russian
   Slovak
   Slovenian
   Spanish

3.11.92

 * build: Initialize automake earlier
 * build: Enable maintainer mode
 * Update titlebar on locale change
 * Use distro logo instead of GNOME foot
 * timezone: Ensure map is properly allocated
 * timezone: Draw location marker pixel-aligned

 * Translation updates
   Brazilian Portuguese
   Chinese (China)
   Czech
   Finnish
   French
   Friulian
   Galicican
   Hebrew
   Hungarian
   Indonesian
   Kazakh
   Korean
   Latvian
   Lithuanian
   Polish
   Portuguese
   Punjabi
   Russian
   Tajik
   Traditional Chinese
   Ukrainian

3.11.91

 * Add an avatar chooser back to the accounts page
 * Fix prepopulating the accounts page from gmail accounts
 * Fix keynav issues on various pages
 * Fix layout issues on various pages
 * Robustnes fixes

 * Translation updates:
   Arabic
   Czech
   Finnish
   Galician
   Hindi
   Kannada
   Kazakh
   Lithuanian
   Malayalam
   Polish
   Tajik


3.11.90

 * Updates to align with design
 * Translation updates

3.10.1.1:

 * Fix build

3.10.1:

 * Fix GOA dialog not closing
 * Use newer GTK+ API for code cleanups

Translations:
 Arash Mousavi
 Carles Ferrando
 Emin Tufan Çetin
 Friedel Wolff
 Reinout van Schouwen
 甘露(Lu Gan)

3.10.0.1:

 * Fix an issue with the account page preventing advancing
   through the wizard

Code:
 Jasper St. Pierre

3.10.0:

 * Now on the GNOME version scheme
 * Prevent a few crashes
 * Use a headerbar to match GNOME3 designs
 * Use the distro name on the "Start" button
 * Drop the intro animation and video player
 * Fix accessibility issues

Code:
 Mattias Clasen, Michael Wood, Jasper St. Pierre, Colin Walters

Translations:
 A S Alam
 Alexandre Franke
 Andika Triwidada
 António Lima
 Aurimas Černius
 Balázs Úr
 Baurzhan Muftakhidinov
 Benjamin Steinwender
 Chao-Hsiung Liao
 Cheng-Chia Tseng
 Christian Kirbach
 Daniel Korostil
 Daniel Mustieles
 Dimitris Spingos
 Dušan Kazik
 Fabio Tomat
 Fran Diéguez
 Gabor Kelemen
 Georges Basile Stavracas Neto
 Gianvito Cavasoli
 Gil Forcada
 Ihar Hrachyshka
 Inaki Larranaga Murgoitio
 Ivaylo Valkov
 Jiro Matsuzawa
 Josep Sànchez
 Kenneth Nielsen
 Khaled Hosny
 Kjartan Maraas
 Krishnababu Krothapalli
 Marek Černocký
 Matej Urbančič
 Mattias Põldaru
 Nilamdyuti Goswami
 Peter Mráz
 Piotr Drąg
 Rafael Ferreira
 Rūdolfs Mazurs
 Sandeep Sheshrao Shedmake
 Seong-ho Cho
 Seán de Búrca
 Shankar Prasad
 Shantha kumar
 Sweta Kothari
 Timo Jyrinki
 Victor Ibragimov
 Yaron Shahrabani
 Yosef Or Boczko
 Yuri Myasoedov
 tuhaihe
 Мирослав Николић

0.11:

 * Make the initial-setup shell mode valid JSON
 * Fix passwordless users
 * Fix visibility of the GOA page under strange network conditions
 * Lots of realmd / Enterprise login fixes
 * Increase the amount of initial languages
 * Make sure usernames are less than 255 characters
 * Remove duplicate username suggestions

Code:
 Michael Wood, Rui Matos, Mattias Clasen

Translations:
 A S Alam
 Aurimas Černius
 Daniel Mustieles
 Fran Diéguez
 Gil Forcada
 Khaled Hosny
 Kjartan Maraas
 ManojKumar Giri
 Marek Černocký
 Matej Urbančič
 Nilamdyuti Goswami
 Piotr Drąg
 Rafael Ferreira
 Shankar Prasad
 Shantha kumar
 Sweta Kothari
 Yaron Shahrabani

0.10:

 * goa: Only set page visible when we have a network connection
 * Bundle our own initial-setup mode file
 * keyboard: Add a default input source for the locale
 * Various bug fixes and code cleanups

Code:
 Michael Wood, Rui Matos, Jasper St. Pierre, Colin Walters

Translations:
 Alexandre Franke
 Andika Triwidada
 Anish A
 A S Alam
 Ask H. Larsen
 Aurimas Černius
 Benjamin Steinwender
 Chetan Khona
 Christian Kirbach
 Daniel Mustieles
 Dmitriy S. Seregin
 Fran Diéguez
 Gabor Kelemen
 Gianvito Cavasoli
 Gil Forcada
 Jiro Matsuzawa
 Kjartan Maraas
 Krishnababu Krothapalli
 ManojKumar Giri
 Matej Urbančič
 Muhammet Kara
 Nik Kalach
 Nilamdyuti Goswami
 Piotr Drąg
 Rafael Ferreira
 Rajesh Ranjan
 Shankar Prasad
 Shantha kumar
 Sweta Kothari
 tuhaihe
 Yuri Myasoedov
 Мирослав Николић


0.9:

 * Update the keyboard panel
 * Hide the back/forward buttons on summary
 * Fix launching the welcome-tour in unsupported locales
 * Add a new infrastructure for launching without a trigger file
 * Update the summary page with a checkmark
 * Fix compiler warnings
 * Launch gnome-initial-setup with the existing user mode on first
   logins

Code:
 Jasper St. Pierre, Mattias Clasen, Michael Wood, Colin Walters

Translations:

 Andika Triwidada
 Arash Mousavi
 A S Alam
 Aurimas Černius
 Balázs Úr
 Carles Ferrando
 Chao-Hsiung Liao
 Daniel Korostil
 Daniel Mustieles
 Dimitris Spingos
 Dr.T.Vasudevan
 Dušan Kazik
 Enrico Nicoletto
 Fran Diéguez
 Gabor Kelemen
 Gianvito Cavasoli
 Gil Forcada
 Jasper St. Pierre
 Jiro Matsuzawa
 Lucas Lommer
 Marek Černocký
 Matej Urbančič
 Michael Wood
 Piotr Drąg
 Praveen Illa
 Rafael Ferreira
 Rajesh Ranjan
 Seong-ho Cho
 Sweta Kothari
 tuhaihe
 Victor Ibragimov
 Yuri Myasoedov

0.8:

 * Improve the language page
 * Don't activate gnome-initial-setup on live media
 * Add a progress indicator

0.7:

 * Port to libgd, and remove dependency on Clutter
 * Add a new welcome page, and fix bugs related to page ordering
 * Add a new page skip mechanism, used for current sessions in
   gnome-initial-setup
 * Performance improvements
 * Remove geoclue
 * Design updates for account page

Code:
 Jasper St. Pierre, Mattias Clasen, Michael Wood, Colin Walters

Translations:

 Adam Matoušek
 Alexandre Franke
 Anish A
 A S Alam
 Aurimas Černius
 Baurzhan Muftakhidinov
 Benjamin Steinwender
 Bruce Cowan
 Chao-Hsiung Liao
 Cheng-Chia Tseng
 Daniel Mustieles
 Dimitris Spingos
 Duarte Loreto
 Dušan Kazik
 Enrico Nicoletto
 Fran Diéguez
 Gheyret Kenji
 Ihar Hrachyshka
 Inaki Larranaga Murgoitio
 Ivaylo Valkov
 Kjartan Maraas
 Matej Urbančič
 Nguyễn Thái Ngọc Duy
 Nilamdyuti Goswami
 Piotr Drąg
 Reinout van Schouwen
 Tobias Endrigkeit
 Tom Tryfonidis
 Ville-Pekka Vainio
 Wouter Bolsterlee
 Yaron Shahrabani
 Yuri Myasoedov
 Мирослав Николић

0.6:

 * Port GOA and Network pages to egg-list-box
 * Make account and language pages match new designs
 * Remove symbolic icons for assistant "next" / "previous" buttons
 * Make EULA pages not require checkboxes by default
 * Add a new Keyboard Layout page, based on the code in the
   control center.

Code:
 Jasper St. Pierre, Mattias Clasen, Michael Wood

Translations:

 Aron Xu
 A S Alam
 Daniel Mustieles
 Dušan Kazik
 Fran Diéguez
 Gianvito Cavasoli
 Khaled Hosny
 Kristjan SCHMIDT
 Matej Urbančič
 Petr Kovar
 Piotr Drąg
 TmTFx
 Yaron Shahrabani

0.5:

 * Be more forgiving if gnome-initial-setup user doesn't exist
 * Improve password handling
 * Eula page improvements
 * Code cleanups, misc. fixes, crashes

Code:
 Jasper St. Pierre, Mattias Clasen, Michael Wood, Colin Walters

Translations:

Daniel Mustieles
Jorge Pérez Pérez
Matej Urbančič
Mattias Põldaru
Runa Bhattacharjee
Sayak Sarkar (1):

0.4:

 * Convert over to a new GisPage base class to help prevent
   memory leaks when switching locales.
 * Remove old summary override system with a system that simply
   swaps out the GtkBuilder filename at runtime.
 * Add a simple movie player for the welcome-tour, based on clutter-gst.
 * Fix GTK+-only assistant.
 * Revamp the account page by making it modal dialog-less, and removing
   the avatar picker. (RIP)
 * Use symbolic icons for assistant "next" / "previous" buttons instead
   of using Unicode glyphs.
 * Style and design updates.
 * Code cleanups, misc. fixes, crashes

Code:
 Jasper St. Pierre, Mattias Clasen

Translations:

 Andika Triwidada
 Fran Diéguez
 Gianvito Cavasoli
 Kjartan Maraas
 Matej Urbančič
 Mattias Põldaru
 Piotr Drąg
 Мирослав Николић

0.3:

 * Port to GStreamer 1.0.
 * Add a minimal systemd service.
 * Fix issues with summary and autologin.
 * Fix some crashes and issues with garbage in private structures.
 * Install desktop files in the right place.
 * Rework skeleton and copy-worker for GDM integration.
 * Redesign the account page to be more like the control center.
 * Add enterprise login support to the account page.

Code:
 Jasper St. Pierre, Mattias Clasen, Ray Strode, Stef Walters

Translations:

 Abhay Kadam
 Alexandre Franke
 Alexsey Nadtochey
 Andika Triwidada
 Ani Peter
 Arash Mousavi
 Arvis Lacis
 A S Alam
 Aurimas Černius
 Bruce Cowan
 Carles Ferrando
 chandankumar
 Changwoo Ryu
 Chao-Hsiung Liao
 Cheng Lu
 Daniel Korostil
 Daniel Mustieles
 Daniel Nylander
 Dr.T.Vasudevan
 Duarte Loreto
 Dušan Kazik
 Felipe Borges
 Fran Diéguez
 Gabor Kelemen
 Gil Forcada
 Ivaylo Valkov
 Kenneth Nielsen
 Khaled Hosny
 Kjartan Maraas
 Kris Thomsen
 Matej Urbančič
 Mattias Põldaru
 Muhammet Kara
 Nguyễn Thái Ngọc Duy
 Nilamdyuti Goswami
 Pavol Klačanský
 Petr Kovar
 Piotr Drąg
 Priit Laes
 Rūdolfs Mazurs
 Sandeep Sheshrao Shedmake
 Timo Jyrinki
 Tobias Endrigkeit
 Tom Tryfonidis
 Unticha Pramgoed
 Urmas D
 Yaron Shahrabani
 Yuri Matsuk
 Мирослав Николић

0.2
===

 * Add a language selector to replace the Welcome splash screen
   before.
 * GDM integration has been rewritten to use libgdm instead of
   libgdmuser.
 * A lot of code has been properly split out into static
   libraries; each page now has one static library. In the
   future, we will have an unsupported module API that can be
   used to extend the system.
 * Use a cc-notebook, stolen from gnome-control-center, that
   allows smooth animations between pages. A plain GTK+
   implementation is being written for systems without the
   capabilities to run animations.
 * Complete integration by including a copy worker run on session
   init. This strategy should work for the use case of enterprise
   users.
 * Fix libcheese integration, and disallow the file picker when
   choosing a user icon.

Code:
 Jasper St. Pierre, Cosimo Cecchi

Translations:

 Alexandre Franke
 Alexsey Nadtochey
 Andika Triwidada
 Arvis Lacis
 A S Alam
 Aurimas Černius
 chandankumar
 Chao-Hsiung Liao
 Cheng Lu
 Daniel Korostil
 Daniel Mustieles
 Fran Diéguez
 Khaled Hosny
 Kjartan Maraas
 Matej Urbančič
 Matthias Clasen
 Muhammet Kara
 Nguyễn Thái Ngọc Duy
 Nilamdyuti Goswami
 Piotr Drąg
 Tobias Endrigkeit
 Tom Tryfonidis
 Urmas D
 Yaron Shahrabani
 Мирослав Николић

0.1
===

 * First release
 * EULA integration

Known bugs:

 * geoclue isn't working quite yet in all places.

Code:

 Mattias Clasen, Jasper St. Pierre, Ray Strode

Design:

 Allan Day, William Jon McCann, Jakub Steiner

Translations:

 Piotr Drag
